Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.telnet
Class InvalidTelnetOptionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.net.telnet.InvalidTelnetOptionException

All Implemented Interfaces:
  Serializable

    public class InvalidTelnetOptionException

extends Exception

The InvalidTelnetOptionException is the exception that is thrown whenever a TelnetOptionHandler with an invlaid option code is registered in TelnetClient with addOptionHandler.

Author:
  Bruno D'Avanzo
See Also:
  Serialized Form

Constructor Summary
`InvalidTelnetOptionException(String message, int optcode)` Constructor for the exception.

Method Summary
`String` | `getMessage()` Gets the error message of ths exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidTelnetOptionException

    public InvalidTelnetOptionException(String message,
                                        int optcode)

  Constructor for the exception.

  Parameters:
    `message` - - Error message.
    `optcode` - - Option code.

Method Detail

### getMessage

    public String getMessage()

  Gets the error message of ths exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the error message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.